summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorUnconfigured <Unconfigured>2009-12-02 20:54:52 (GMT)
committerUnconfigured <Unconfigured>2009-12-02 20:54:52 (GMT)
commit0dce5d39de3d804816e720d732cc702001f76c6a (patch)
tree1d9f07805f893ede7dc603787df5c955c624ebbf
parentc97c9144162f92cc5210283d0ab1f8b8673618ec (diff)
downloadlinhes_pkgbuild-0dce5d39de3d804816e720d732cc702001f76c6a.zip
linhes_pkgbuild-0dce5d39de3d804816e720d732cc702001f76c6a.tar.gz
linhes_pkgbuild-0dce5d39de3d804816e720d732cc702001f76c6a.tar.bz2
vdpauinfo: vdpinfo has been renamed (now uses libvdpau)
-rw-r--r--abs/core-testing/vdpauinfo/PKGBUILD23
-rw-r--r--abs/core-testing/vdpinfo/PKGBUILD35
2 files changed, 23 insertions, 35 deletions
diff --git a/abs/core-testing/vdpauinfo/PKGBUILD b/abs/core-testing/vdpauinfo/PKGBUILD
new file mode 100644
index 0000000..672749d
--- /dev/null
+++ b/abs/core-testing/vdpauinfo/PKGBUILD
@@ -0,0 +1,23 @@
+# Contributor: Nathan Harris
+pkgname=vdpauinfo
+pkgver=0.0.6
+pkgrel=1
+pkgdesc="NVIDIA VDPAU capability query utility"
+arch=('i686' 'x86_64')
+url="url=http://cgit.freedesktop.org/~aplattner/vdpauinfo"
+license=('custom')
+depends=('nvidia' 'libvdpau' 'xorg-server')
+makedepends=('gcc' 'autoconf' 'make')
+optdepends=()
+install=()
+source=(http://cgit.freedesktop.org/~aplattner/${pkgname}/snapshot/${pkgname}-${pkgver}.tar.gz)
+md5sums=('0ecc55e3b5bae622d1b6caf5fe28dbe4')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ autoreconf -i || return 1
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+ install -D -m644 $srcdir/$pkgname-$pkgver/LICENSE $pkgdir/usr/share/licenses/$pkgname/license || return 1
+}
diff --git a/abs/core-testing/vdpinfo/PKGBUILD b/abs/core-testing/vdpinfo/PKGBUILD
deleted file mode 100644
index db7be03..0000000
--- a/abs/core-testing/vdpinfo/PKGBUILD
+++ /dev/null
@@ -1,35 +0,0 @@
-# Because this requires parts of the nVidia driver, this parallels the PKGBUILD for
-# the nvidia package.
-
-pkgname=vdpinfo
-pkgver=185.18.36
-pkgrel=1
-pkgdesc="polls the GPU for nVidia vdpau capabilities"
-arch=('i686' 'x86_64')
-[ "$CARCH" = "i686" ] && ARCH=x86
-[ "$CARCH" = "x86_64" ] && ARCH=x86_64
-url="http://www.cs.rug.nl/~wladimir/vdpinfo/"
-license=('MIT')
-depends=('nvidia-utils=185.18.36' 'nvidia=185.18.36')
-# Just let the dependency on the right nvidia and nvidia-utils versions
-# handle conflicts via those packages conflicts.
-# conflicts=()
-provides=('vdpinfo')
-source=(http://www.cs.rug.nl/~wladimir/vdpinfo/vdpinfo-0.0.5.tar.gz http://us.download.nvidia.com/XFree86/Linux-$ARCH/${pkgver}/NVIDIA-Linux-$ARCH-${pkgver}-pkg0.run)
-md5sums=()
-
-build() {
- LH_ROOT=/usr/LH
- mkdir -p $startdir/pkg/$LH_ROOT/bin/
-
- # Extract nVidia driver to get at the headers we need to build vdpau
- cd $startdir/src/
- sh NVIDIA-Linux-$ARCH-${pkgver}-pkg0.run --extract-only
-
- # build vdpinfo
- cd $startdir/src/vdpinfo
- #g++ -O3 -g -I../NVIDIA-Linux-x86-185.18.14-pkg0/usr/include -c -o vdpinfo.o vdpinfo.cpp
- #g++ -O3 -g -I$startdir/src/usr/include -c -o vdpinfo.o vdpinfo.cpp
- make
- install -m0755 vdpinfo $startdir/pkg/$LH_ROOT/bin/
-}